﻿<h1>Hi {{currentUser.firstName}}!</h1>
<p>You're logged in!!</p>
<h3>All registered users:</h3>
<!-- <ul>
    <li *ngFor="let user of users">
        {{user.username}} ({{user.firstName}} {{user.lastName}})
        <br/><span class="badge badge-secondary">{{user.role}}</span>
        <br/><a (click)="deleteUser(user.id)" class="badge badge-danger" *ngIf="currentUser.role == 'Auditor'">Delete</a>
    </li>
</ul> -->



<div class="row mb-4 mt-5">
    <div class="col-md-5">
        <div class="filterSearch">
            <!-- <mat-form-field appearance="outline"> -->
            <input type="text" class="form-control" placeholder="Search here" (keyup)="applyFilter($event.target.value)">
            <!-- </mat-form-field> -->

            <!-- <span class="searchimg"> <img src="assets/img/search.png" alt=""> </span> -->
        </div>
    </div>

</div>

<div class="row">
    <div class="col-md-12">
        <table mat-table [dataSource]="dataSource" style="    width: -webkit-fill-available;
        ">

            <ng-container matColumnDef="firstName">
                <th mat-header-cell *matHeaderCellDef class="tableHeader">FirstName</th>
                <td mat-cell *matCellDef="let element" class="tableCell_style"> {{element.firstName }} </td>
            </ng-container>

            <ng-container matColumnDef="lastName">
                <th mat-header-cell *matHeaderCellDef class="tableHeader">LastName</th>
                <td mat-cell *matCellDef="let element" class="tableCell_style"> {{element.lastName}}</td>
            </ng-container>

            <ng-container matColumnDef="username">
                <th mat-header-cell *matHeaderCellDef class="tableHeader">Username </th>
                <td mat-cell *matCellDef="let element" class="tableCell_style"> {{element.username}} </td>
            </ng-container>

            <ng-container matColumnDef="role" >
                <th mat-header-cell *matHeaderCellDef class="tableHeader">Role</th>
                <td mat-cell *matCellDef="let element" class="tableCell_style"> {{element.role  }} </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>

        <mat-paginator [pageSizeOptions]="[7, 10, 20]" showFirstLastButtons></mat-paginator>
    </div>
</div>